Bug 784120 - Save button on User's account setting page is active even when displayed as inactive
Save button on User's account setting page is active even when displayed as i...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: rc
: 1.0
Assigned To: Tom McKay
SAM QE List
: Triaged
Depends On: 795447
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-23 16:18 EST by Eric Sammons
Modified: 2012-04-26 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 795447 (view as bug list)
Environment:
katello-httpd-ssl-key-pair-1.0-1.noarch candlepin-tomcat6-0.5.8-1.el6.noarch katello-headpin-0.1.122-2.el6.noarch katello-cli-headpin-0.1.13-2.el6.noarch katello-certs-tools-1.0.1-2.el6.noarch katello-headpin-all-0.1.122-2.el6.noarch thumbslug-0.0.21-1.el6.noarch katello-cli-common-0.1.32-2.el6.noarch katello-configure-0.1.49-2.el6.noarch katello-common-0.1.165-2.el6.noarch katello-trusted-ssl-cert-1.0-1.noarch candlepin-0.5.8-1.el6.noarch katello-glue-candlepin-0.1.165-2.el6.noarch katello-qpid-broker-key-pair-1.0-1.noarch
Last Closed: 2012-04-26 20:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Save button to inactive until all fields for password are entered (129.51 KB, image/png)
2012-04-09 05:39 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Eric Sammons 2012-01-23 16:18:43 EST
Description of problem:
It is possible to click on the Save_password button off the User's account settings page though the save button is greyed out.

Steps to Reproduce:
1. Login to SAM/Headpin as admin
2. Navigate to account settings via li.hello (username in right corner)
3. Note save password button is greyed out (nothing is entered in password field so this state is expected.)
  
Actual results:
Click on the Save Button and Receive 200 OK on a PUT Request; response data "passwordat least 5 characters".  And save button now takes on a fully active state, not greyed out.


Expected results:
Button should be greyed out until matching passwords are entered into the password and confirm fields.


Additional info:
Also note that the Response data is _never_ received / seen by the user, must use firebug or some other http debug tool / method to see response.
Comment 4 Eric Sammons 2012-04-04 10:51:14 EDT
VERIFIED 

katello-headpin-all-0.1.145-1.el6.noarch
Comment 5 Tazim Kolhar 2012-04-09 05:39:17 EDT
Created attachment 576150 [details]
Save button to inactive until all fields for password are entered

Verified the bug 

katello-headpin-0.1.145-1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.